<mat-toolbar class="navbar" color="primary">

  <div class="content-menu">
    <div class="content-accueil">
      <a
        mat-raised-button
        color="primary"
        [routerLinkActive]="'active'"
        [routerLinkActiveOptions]="{ exact: true }"
        [routerLink]="['/']"
      >Accueil</a>
      <a
        mat-raised-button
        color="primary"
        [routerLinkActive]="'active'"
        [routerLinkActiveOptions]="{ exact: true }"
        [routerLink]="['/film']"
      >Film</a>
    </div>

    <div class="content-connexion">
      <ng-container *ngrxLet="auth$; let a; let e = $error; let c = $complete">
        <a
          mat-raised-button
          color="primary"
          [routerLinkActive]="'active'"
          [routerLinkActiveOptions]="{ exact: true }"
          [routerLink]="['/connexion']"
          *ngIf="!a.isLoggedIn"
        >Connexion</a>
        <a
          mat-raised-button
          color="primary"
          [routerLinkActive]="'active'"
          [routerLinkActiveOptions]="{ exact: true }"
          [routerLink]="['/inscription']"
          *ngIf="!a.isLoggedIn"
        >Inscription</a>
        <button
          mat-raised-button
          color="primary"
          (click)="logout()"
          *ngIf="a.isLoggedIn"
        >
          Déconnexion
        </button>
        <div class="user-logged">
          <span class="user-logged-span" *ngIf="a.isLoggedIn">
            <mat-icon class="user-logged-span-icon" aria-hidden="false">account_circle</mat-icon>
            {{ a.user?.username }}
          </span>
        </div>

      </ng-container>
    </div>
  </div>

</mat-toolbar>
<router-outlet></router-outlet>
